data:extend({

-- Logsitic slots	
	
  {
    type = "technology",
    name = "character-logistic-slots-7",
    icon_size = 128,
    icon = "__base__/graphics/technology/character-logistic-slots.png",
    effects =
    {
      {
        type = "character-logistic-slots",
        modifier = 6
      }
    },
    prerequisites = {"character-logistic-slots-6"},
    unit =
    {
      count_formula = "(7^(L-7))*1000",
      ingredients =
      {
        {"automation-science-pack", 1},
        {"logistic-science-pack", 1},
        {"chemical-science-pack", 1},
        {"production-science-pack", 1},
        {"utility-science-pack", 1},
        {"space-science-pack", 1}
      },
      time = 60
    },
    upgrade = true,
    max_level = "infinite",
    order = "c-k-e-f"
  },

-- Trash slots

  {
    type = "technology",
    name = "character-logistic-trash-slots-6",
    icon_size = 128,
    icon = "__base__/graphics/technology/character-logistic-trash-slots.png",
    effects =
    {
      {
        type = "character-logistic-trash-slots",
        modifier = 6
      }
    },
    prerequisites = {"character-logistic-trash-slots-5"},
    unit =
    {
      count_formula = "(7^(L-6))*1000",
      ingredients =
      {
        {"automation-science-pack", 1},
        {"logistic-science-pack", 1},
        {"chemical-science-pack", 1},
        {"production-science-pack", 1},
        {"utility-science-pack", 1},
        {"space-science-pack", 1}
      },
      time = 60
    },
    upgrade = true,
    max_level = "infinite",
    order = "c-k-f-e"
  },

-- Now we do the increase to player inventory
  
  {
	type = "technology",
	name = "hsmd-inventory-1",
	icon_size = 128,
	icon = "__base__/graphics/technology/toolbelt.png",
	effects =
	{
	  {
		type = "character-inventory-slots-bonus",
		modifier = 2
	  }
	},
	unit =
	{
	  count = 25,
	  ingredients =
	  {
		{"automation-science-pack", 1}
	  },
	  time = 15
	},
	localised_name = {"technology-name.tool-belt"},
	localised_description = {"technology-description.tool-belt"},
	order = "e-a-e"
  },
  
  {
	type = "technology",
	name = "hsmd-inventory-2",
	icon_size = 128,
	icon = "__base__/graphics/technology/toolbelt.png",
	effects =
	{
	  {
		type = "character-inventory-slots-bonus",
		modifier = 3
	  }
	},
    prerequisites = {"hsmd-inventory-1"},
	unit =
	{
	  count = 100,
	  ingredients =
	  {
		{"automation-science-pack", 1},
        {"logistic-science-pack", 1}
	  },
	  time = 15
	},
	localised_name = {"technology-name.tool-belt"},
	localised_description = {"technology-description.tool-belt"},
	order = "e-a-e"
  },
  
  {
	type = "technology",
	name = "hsmd-inventory-3",
	icon_size = 128,
	icon = "__base__/graphics/technology/toolbelt.png",
	effects =
	{
	  {
		type = "character-inventory-slots-bonus",
		modifier = 4
	  }
	},
    prerequisites = {"hsmd-inventory-2"},
	unit =
	{
	  count = 250,
	  ingredients =
	  {
		{"automation-science-pack", 1},
        {"logistic-science-pack", 1},
		{"chemical-science-pack", 1}
	  },
	  time = 30
	},
	localised_name = {"technology-name.tool-belt"},
	localised_description = {"technology-description.tool-belt"},
	order = "e-a-e"
  },
  
  {
	type = "technology",
	name = "hsmd-inventory-4",
	icon_size = 128,
	icon = "__base__/graphics/technology/toolbelt.png",
	effects =
	{
	  {
		type = "character-inventory-slots-bonus",
		modifier = 5
	  }
	},
    prerequisites = {"hsmd-inventory-3"},
	unit =
	{
	  count = 500,
	  ingredients =
	  {
		{"automation-science-pack", 1},
        {"logistic-science-pack", 1},
		{"chemical-science-pack", 1},
        {"production-science-pack", 1}
	  },
	  time = 45
	},
	localised_name = {"technology-name.tool-belt"},
	localised_description = {"technology-description.tool-belt"},
	order = "e-a-e"
  },
  
  {
	type = "technology",
	name = "hsmd-inventory-5",
	icon_size = 128,
	icon = "__base__/graphics/technology/toolbelt.png",
	effects =
	{
	  {
		type = "character-inventory-slots-bonus",
		modifier = 6
	  }
	},
    prerequisites = {"hsmd-inventory-4"},
	unit =
	{
	  count = 1000,
	  ingredients =
	  {
		{"automation-science-pack", 1},
        {"logistic-science-pack", 1},
		{"chemical-science-pack", 1},
        {"production-science-pack", 1},
        {"utility-science-pack", 1}
	  },
	  time = 60
	},
	localised_name = {"technology-name.tool-belt"},
	localised_description = {"technology-description.tool-belt"},
	order = "e-a-e"
  },  
  
  {
	type = "technology",
	name = "hsmd-inventory-6",
	icon_size = 128,
	icon = "__base__/graphics/technology/toolbelt.png",
	effects =
	{
	  {
		type = "character-inventory-slots-bonus",
		modifier = 10
	  }
	},
    prerequisites = {"hsmd-inventory-5"},
	unit =
	{
	  count_formula = "(7^(L-6))*1000",
	  ingredients =
	  {
		{"automation-science-pack", 1},
        {"logistic-science-pack", 1},
		{"chemical-science-pack", 1},
        {"production-science-pack", 1},
        {"utility-science-pack", 1},
        {"space-science-pack", 1}
	  },
	  time = 60
	},
	localised_name = {"technology-name.tool-belt"},
	localised_description = {"technology-description.tool-belt"},
	upgrade = true,
	max_level = "infinite",
	order = "e-a-e"
  },  

-- Now we add the axes  
  
  {
    type = "technology",
    name = "hsmd-uranium-axe",
    icon_size = 32,
    icon = "__base__/graphics/icons/steel-axe.png",
    effects =
    {
      {
        type = "character-mining-speed",
        modifier = 1
      }
    },
    prerequisites = {"steel-axe", "uranium-processing"},
    unit =
    {
      count = 250,
      ingredients =
      {
		{"automation-science-pack", 1},
        {"logistic-science-pack", 1},
		{"chemical-science-pack", 1},
        {"production-science-pack", 1}
      },
      time = 45
    },
    order = "c-c-a"
  },  

-- If Hiladdar's gear is present, then add gravitanium axe, via a another lua
-- program chunk of code.

-- Craftting speed goes here

  {
	type = "technology",
	name = "hsmd-craft-speed-1",
	icon_size = 128,
	icon = "__base__/graphics/technology/toolbelt.png",
	effects =
	{
	  {
		type = "character-crafting-speed",
		modifier = 0.20
	  }
	},
	unit =
	{
	  count = 25,
	  ingredients =
	  {
		{"automation-science-pack", 1}
	  },
	  time = 15
	},
    localised_name = {"technology-name.tool-belt"},
    localised_description = {"technology-description.tool-belt"},
	order = "e-a-z"
  },  

  {
	type = "technology",
	name = "hsmd-craft-speed-2",
	icon_size = 128,
	icon = "__base__/graphics/technology/toolbelt.png",
	effects =
	{
	  {
		type = "character-crafting-speed",
		modifier = 0.30
	  }
	},
    prerequisites = {"hsmd-craft-speed-1"},
	unit =
	{
	  count = 100,
	  ingredients =
	  {
		{"automation-science-pack", 1},
        {"logistic-science-pack", 1}
	  },
	  time = 15
	},
	order = "e-a-z"
  },  

  {
	type = "technology",
	name = "hsmd-craft-speed-3",
	icon_size = 128,
	icon = "__base__/graphics/technology/toolbelt.png",
	effects =
	{
	  {
		type = "character-crafting-speed",
		modifier = 0.40
	  }
	},
    prerequisites = {"hsmd-craft-speed-2"},
	unit =
	{
	  count = 250,
	  ingredients =
	  {
		{"automation-science-pack", 1},
        {"logistic-science-pack", 1},
		{"chemical-science-pack", 1}
	  },
	  time = 30
	},
	order = "e-a-z"
  },  

  {
	type = "technology",
	name = "hsmd-craft-speed-4",
	icon_size = 128,
	icon = "__base__/graphics/technology/toolbelt.png",
	effects =
	{
	  {
		type = "character-crafting-speed",
		modifier = 0.50
	  }
	},
    prerequisites = {"hsmd-craft-speed-3"},
	unit =
	{
	  count = 250,
	  ingredients =
	  {
		{"automation-science-pack", 1},
        {"logistic-science-pack", 1},
		{"chemical-science-pack", 1},
        {"production-science-pack", 1}
	  },
	  time = 45
	},
	order = "e-a-z"
  },  

  {
	type = "technology",
	name = "hsmd-craft-speed-5",
	icon_size = 128,
	icon = "__base__/graphics/technology/toolbelt.png",
	effects =
	{
	  {
		type = "character-crafting-speed",
		modifier = 0.60
	  }
	},
    prerequisites = {"hsmd-craft-speed-4"},
	unit =
	{
	  count = 500,
	  ingredients =
	  {
		{"automation-science-pack", 1},
        {"logistic-science-pack", 1},
		{"chemical-science-pack", 1},
        {"production-science-pack", 1},
        {"utility-science-pack", 1}
	  },
	  time = 60
	},
	order = "e-a-z"
  },  
  
  {
	type = "technology",
	name = "hsmd-craft-speed-6",
	icon_size = 128,
	icon = "__base__/graphics/technology/toolbelt.png",
	effects =
	{
	  {
		type = "character-crafting-speed",
		modifier = 0.50
	  }
	},
    prerequisites = {"hsmd-craft-speed-5"},
	unit =
	{
     count_formula = "(2^(L-6))*1000",
	  ingredients =
	  {
		{"automation-science-pack", 1},
        {"logistic-science-pack", 1},
		{"chemical-science-pack", 1},
        {"production-science-pack", 1},
        {"utility-science-pack", 1},
        {"space-science-pack", 1}
	  },
	  time = 60
	},
    upgrade = true,
    max_level = "infinite",
	order = "e-a-z"
  }  

})